kio Library: KIO::DavJob Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::DavJob Class Reference

The transfer job pumps data into and/or out of a Slave. More...

`#include <davjob.h>`

Inheritance diagram for KIO::DavJob:

[legend]
Collaboration diagram for KIO::DavJob:

[legend]
List of all members.

## Public Member Functions
| DavJob (const KURL &url, int method, const QString &request, bool showProgressInfo)
QDomDocument & | response ()
## Protected Slots
virtual void | slotFinished ()
virtual void | slotData (const QByteArray &data)
## Protected Attributes
bool | m_suspended
TransferJob * | m_subJob

## Detailed Description

The transfer job pumps data into and/or out of a Slave.

Data is sent to the slave on request of the slave ( dataReq). If data coming from the slave can not be handled, the reading of data from the slave should be suspended.

See also:
  KIO::davPropFind()

  KIO::davPropPatch()

  KIO::davSearch()

Since:
  3.1

Definition at line 57 of file davjob.h.

## Constructor & Destructor Documentation

KIO::DavJob::DavJob | ( | const KURL & | url,
|  | int | method,
|  | const QString & | request,
|  | bool | showProgressInfo
| ) |

| Use KIO::davPropFind(), KIO::davPropPatch() and KIO::davSearch() to create a new DavJob.

## Member Function Documentation

QDomDocument& KIO::DavJob::response | ( |  | ) | `[inline]`

| Returns the response as a QDomDocument. Returns: the response document Definition at line 71 of file davjob.h.

virtual void KIO::DavJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented from KIO::TransferJob.

The documentation for this class was generated from the following file:

- davjob.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:57 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003